unit uIA_Patient_IO;

interface

uses
  TRPCb,
  SysUtils,
  uIA_Const;

function ReadPatientProperties(aDFN: string; Broker: TRPCBroker): string;

implementation


function ReadPatientProperties(ADFN: string; Broker: TRPCBroker): string;
var
  i                           : integer;
var
  tmpDFN                      : string;
begin
  //To prevent an undefined result
  Result := '';

  tmpDFN := ADFN;

  with Broker do
    begin
      ClearResults := True;
      ClearParameters := True;
      CreateContext('YS BROKER1');
      RemoteProcedure := 'YTQ PATIENT INFO';
      Param[0].Mult['"DFN"'] := tmpDFN;
      Param[0].PType := List;

      Call;

      if not (Results[0] = DATA) then
        Result := BAD_DATA
      else
        for i := 1 to 7 do
          Result := Result + Results[i] + RECORD_END;

      // Needed for DLL, in case there is a crash
      CreateContext('OR CPRS GUI CHART');
    //         Output
    //         ; YSDATA(2)= name
    //         ; YSDATA(3)=ssn
    //         ; YSDATA(4)=dob
    //         ; YSDATA(5)=age
    //         ; YSDATA(6)=sex
    //         ; YSDATA(7)=date of death
    //         ; YSDATA(8)=0 NCS/ 1 SC^%^service connected
    //
    //
    //
    //[DATA]
    //GREEN,FROG^name
    //123456789^123-45-6789^ssn
    //2470420^APR 20,1947^dob
    //57^age
    //M^MALE^sex
    //0^^date of death
    //0^service connected
    end;
end;

end.

